List orders.
curl --request GET \
--url https://api.novatrade24.com/v1/partners/{sellerId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.novatrade24.com/v1/partners/{sellerId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.novatrade24.com/v1/partners/{sellerId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.novatrade24.com/v1/partners/{sellerId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.novatrade24.com/v1/partners/{sellerId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.novatrade24.com/v1/partners/{sellerId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.novatrade24.com/v1/partners/{sellerId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"buyerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"vins": [
{
"vin": "<string>",
"brand": "<string>",
"model": "<string>",
"purchaseAmount": {
"value": 7900,
"currency": "EUR"
},
"mileage": 1,
"firstRegistrationDate": "2023-12-25",
"complianceStatus": "PENDING"
}
],
"shipmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"totalAmount": {
"value": 7900,
"currency": "EUR"
},
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"purchaseDate": "2023-12-25",
"responsibleContact": {
"firstName": "<string>",
"lastName": "<string>",
"email": "[email protected]",
"phone": "<string>"
},
"notApplied": [
"responsibleContact.lastName"
]
}
],
"pagination": {
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123,
"hasNext": true,
"hasPrevious": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}Orders
List orders.
GET
/
partners
/
{sellerId}
/
orders
List orders.
curl --request GET \
--url https://api.novatrade24.com/v1/partners/{sellerId}/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.novatrade24.com/v1/partners/{sellerId}/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.novatrade24.com/v1/partners/{sellerId}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.novatrade24.com/v1/partners/{sellerId}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.novatrade24.com/v1/partners/{sellerId}/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.novatrade24.com/v1/partners/{sellerId}/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.novatrade24.com/v1/partners/{sellerId}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalOrderId": "<string>",
"buyerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "CREATED",
"vins": [
{
"vin": "<string>",
"brand": "<string>",
"model": "<string>",
"purchaseAmount": {
"value": 7900,
"currency": "EUR"
},
"mileage": 1,
"firstRegistrationDate": "2023-12-25",
"complianceStatus": "PENDING"
}
],
"shipmentIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"totalAmount": {
"value": 7900,
"currency": "EUR"
},
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"purchaseDate": "2023-12-25",
"responsibleContact": {
"firstName": "<string>",
"lastName": "<string>",
"email": "[email protected]",
"phone": "<string>"
},
"notApplied": [
"responsibleContact.lastName"
]
}
],
"pagination": {
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123,
"hasNext": true,
"hasPrevious": true
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}Authorizations
OAuth 2.0 client_credentials grant via Keycloak service account.
Clients are provisioned per IntegrationOrganization in the
nt24-idp realm.
Path Parameters
UUID of the seller trade partner (must be in caller's authorized list).
Query Parameters
Filter by VIN. VIN is not globally unique, same VIN may appear in multiple historical orders across time.
Required string length:
17Required range:
x >= 0Required range:
1 <= x <= 100field,direction, e.g. createdAt,desc.